Skip to main content
PUT
/
api
/
v1
/
contacts
/
pipeline
/
{uuid}
Update a pipeline stage
curl --request PUT \
  --url https://{subdomain}.mihu.ai/api/v1/contacts/pipeline/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "order": 2,
  "is_active": true
}
'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/contacts/pipeline/{uuid}"

payload = {
    "name": "<string>",
    "order": 2,
    "is_active": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', order: 2, is_active: true})
};

fetch('https://{subdomain}.mihu.ai/api/v1/contacts/pipeline/{uuid}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string
required

Body

application/json
name
string
Required string length: 2 - 255
order
integer
Required range: x >= 1
is_active
boolean

Response

Pipeline stage updated